com.r3corda.core.testing / TransactionForTest

# TransactionForTest

`open class TransactionForTest : AbstractTransactionForTest`

### Constructors

<init> | `TransactionForTest()`

### Inherited Properties

attachments | `val attachments: ArrayList<SecureHash>`
commands | `val commands: ArrayList<Command>`
outStates | `val outStates: ArrayList<LabeledOutput>`

### Functions

accepts | `fun accepts(time: Instant = TEST_TX_TIME): Unit`
chain | `fun chain(vararg outputLabels: String, body: TransactionForTest.() -> Unit): TransactionForTest`
equals | `open fun equals(other: Any?): Boolean`
fails requirement | `infix fun fails requirement(msg: String): Unit` Used to confirm that the test, when (implicitly) run against the .verify() method, fails with the text of the message
fails_requirement | `fun fails_requirement(msg: String): Unit`
hashCode | `open fun hashCode(): Int`
input | `fun input(s: () -> ContractState): <ERROR CLASS>`
rejects | `fun rejects(withMessage: String? = null, time: Instant = TEST_TX_TIME): Unit`
runCommandsAndVerify | `fun runCommandsAndVerify(time: Instant): Unit`
toString | `open fun toString(): String`
tweak | `fun tweak(body: TransactionForTest.() -> Unit): TransactionForTest`

### Inherited Functions

arg | `fun arg(vararg key: PublicKey, c: () -> CommandData): Unit`
attachment | `fun attachment(attachmentID: SecureHash): Unit`
commandsToAuthenticatedObjects | `fun commandsToAuthenticatedObjects(): List<AuthenticatedObject<CommandData>>`
output | `open fun output(label: String? = null, s: () -> ContractState): <ERROR CLASS>`
timestamp | `fun timestamp(time: Instant): Unit` `fun timestamp(data: TimestampCommand): Unit`
transaction | `fun transaction(body: TransactionForTest.() -> Unit): Unit`